apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Release.Name }}-fishapi
  labels:
    app: fishapi
spec:
  replicas: {{ .Values.replicaCount }}
  selector:
    matchLabels:
      app: fishapi
  template:
    metadata:
      labels:
        app: fishapi
    spec:
      containers:
        - name: {{ .Chart.Name }}
          image: "{{ .Values.image.repository }}:{{ .Values.image.tag }}"
          imagePullPolicy: {{ .Values.image.pullPolicy }}
          ports:
            - containerPort: 3000
              protocol: TCP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Release.Name }}-fishdb
  labels:
    app: fishdb
spec:
  replicas: 1
  selector:
    matchLabels:
      app: fishdb
  template:
    metadata:
      labels:
        app: fishdb
    spec:
      containers:
      - name: fishdb
        image: pavelivanov/fishdb:0.1
        imagePullPolicy: {{ .Values.image.pullPolicy }}
        ports:
        - containerPort: 3306
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ .Release.Name }}-fishapirust
  labels:
    app: fishapirust
spec:
  replicas: 1
  selector:
    matchLabels:
      app: fishapirust
  template:
    metadata:
      labels:
        app: fishapirust
    spec:
      containers:
      - name: fishapirust
        image: pavelivanov/fishapirust:0.1
        imagePullPolicy: {{ .Values.image.pullPolicy }}
        ports:
        - containerPort: 8001
          protocol: TCP
          name: fishapirust
